## php.java.bridge
Class ClassicParserString

    java.lang.Object
      php.java.bridge.ParserString
          php.java.bridge.ClassicParserString

    public class ClassicParserString

extends ParserString

This class holds the classic parser string for backward compatibility. The exact numbers used to be base 10.

Author:
  jostb

Method Summary
`int` `getIntValue()` Returns the int value.
`long` `getLongValue()` Returns the long value.

Methods inherited from class php.java.bridge.ParserString
`getASCIIStringValue, getCachedStringValue, getDoubleValue, getStringValue, getUTF8StringValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getIntValue

    public int getIntValue()

  Returns the int value.

  Overrides:
    `getIntValue` in class `ParserString`
  Returns:
    The int value.

### getLongValue

    public long getLongValue()

  Returns the long value.

  Overrides:
    `getLongValue` in class `ParserString`
  Returns:
    The long value.